CVE-2006-1058
CVSS2.1
发布时间 :2006-04-04 06:04:00
修订时间 :2010-08-21 00:42:30
NMCOS    

[原文]BusyBox 1.1.1 does not use a salt when generating passwords, which makes it easier for local users to guess passwords from a stolen password file using techniques such as rainbow tables.


[CNNVD]PSWD.JS不安全口令哈希漏洞(CNNVD-200604-037)

        pswd.js是一个客户端认证脚本。
        pswd.js的认证实现方式上存在漏洞,远程攻击者可能利用此漏洞绕过认证。
        在进行认证时pswd.js生成表单中所提交口令的哈希,然后检查所生成的哈希是否包含在其硬编码的向量中,如果是的话就将用户重新定向到安全的html页面。这种认证方式并不安全,允许攻击者使用通过暴力猜测预先计算出的口令哈希通过认证,非授权访问运行该脚本的应用程序。

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:9483BusyBox 1.1.1 does not use a salt when generating passwords, which makes it easier for local users to guess passwords from a stolen password...
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1058
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1058
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200604-037
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/25569
(UNKNOWN)  XF  busybox-passwd-weak-security(25569)
http://www.securityfocus.com/bid/17330
(UNKNOWN)  BID  17330
http://secunia.com/advisories/19477
(VENDOR_ADVISORY)  SECUNIA  19477
http://bugs.busybox.net/view.php?id=604
(UNKNOWN)  CONFIRM  http://bugs.busybox.net/view.php?id=604
http://www.redhat.com/support/errata/RHSA-2007-0244.html
(UNKNOWN)  REDHAT  RHSA-2007:0244
http://support.avaya.com/elmodocs2/security/ASA-2007-250.htm
(UNKNOWN)  CONFIRM  http://support.avaya.com/elmodocs2/security/ASA-2007-250.htm
http://secunia.com/advisories/25848
(UNKNOWN)  SECUNIA  25848
http://secunia.com/advisories/25098
(UNKNOWN)  SECUNIA  25098

- 漏洞信息

PSWD.JS不安全口令哈希漏洞
低危 设计错误
2006-04-04 00:00:00 2006-04-04 00:00:00
远程※本地  
        pswd.js是一个客户端认证脚本。
        pswd.js的认证实现方式上存在漏洞,远程攻击者可能利用此漏洞绕过认证。
        在进行认证时pswd.js生成表单中所提交口令的哈希,然后检查所生成的哈希是否包含在其硬编码的向量中,如果是的话就将用户重新定向到安全的html页面。这种认证方式并不安全,允许攻击者使用通过暴力猜测预先计算出的口令哈希通过认证,非授权访问运行该脚本的应用程序。

- 公告与补丁

        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        http://www.web-link.it/scripting/2passwordmultiple.htm

- 漏洞信息

24315
BusyBox MD5 Password Hash Generation Weakness
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-12-19 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

BusyBox Insecure Password Hash Weakness
Design Error 17330
Yes Yes
2006-03-31 12:00:00 2007-06-29 03:18:00
This issue was reported to the vendor by taviso.

- 受影响的程序版本

RedHat Enterprise Linux WS 4
RedHat Enterprise Linux ES 4
RedHat Desktop 4.0
Red Hat Enterprise Linux AS 4
BusyBox Linux Utilities 1.1.2
BusyBox Linux Utilities 1.1.1
Avaya SES 3.1.1
Avaya SES 3.0
Avaya SES 2.0
Avaya Messaging Storage Server MSS 3.0
Avaya Message Networking MN 3.1
Avaya Message Networking
Avaya Communication Manager 2.0.1
+ Avaya Communication Manager Server DEFINITY Server SI/CS
+ Avaya Communication Manager Server S8100
+ Avaya Communication Manager Server S8100
+ Avaya Communication Manager Server S8300
+ Avaya Communication Manager Server S8300
+ Avaya Communication Manager Server S8500
+ Avaya Communication Manager Server S8500
+ Avaya Communication Manager Server S8700
+ Avaya Communication Manager Server S8700
Avaya Communication Manager 2.0
+ Avaya Communication Manager Server DEFINITY Server SI/CS
+ Avaya Communication Manager Server S8100
+ Avaya Communication Manager Server S8100
+ Avaya Communication Manager Server S8300
+ Avaya Communication Manager Server S8300
+ Avaya Communication Manager Server S8500
+ Avaya Communication Manager Server S8500
+ Avaya Communication Manager Server S8700
+ Avaya Communication Manager Server S8700
Avaya Communication Manager 4.0
Avaya Communication Manager 3.1
+ Avaya Communication Manager Server DEFINITY Server SI/CS
+ Avaya Communication Manager Server S8100
+ Avaya Communication Manager Server S8300
+ Avaya Communication Manager Server S8500
+ Avaya Communication Manager Server S8700
Avaya Communication Manager 3.0
+ Avaya Communication Manager Server DEFINITY Server SI/CS
+ Avaya Communication Manager Server S8100
+ Avaya Communication Manager Server S8100
+ Avaya Communication Manager Server S8300
+ Avaya Communication Manager Server S8300
+ Avaya Communication Manager Server S8500
+ Avaya Communication Manager Server S8500
+ Avaya Communication Manager Server S8700
+ Avaya Communication Manager Server S8700
Avaya CCS 3.1.1
Avaya CCS 3.0
Avaya CCS 2.0
Avaya AES 4.0
BusyBox Linux Utilities 1.1.3

- 不受影响的程序版本

BusyBox Linux Utilities 1.1.3

- 漏洞讨论

BusyBox is prone to an insecure password-hash weakness. This issue is due to a design flaw that results in password hashes being created in an insecure manner.

This issue allows attackers to use precomputed password hashes in brute-force attacks if they can gain access to password hashes by some means (such as exploiting another vulnerability).

- 漏洞利用

Attackers use precomputed password hashes to exploit this issue.

- 解决方案

The vendor has released version 1.1.3 to address this issue; please see the reference section for details.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站